Skip to content

Changelog

  • 23 Oct 2026 – Removed deprecated markets v1 endpoints:
    • GET /api/v1/markets/search
    • GET /api/v1/markets/:profileId
    • GET /api/v2/markets/configs
    • GET /api/v2/markets/fees
    • GET /api/v2/markets/holdings
    • GET /api/v2/markets/stats
    • GET /api/v2/markets/{profileId}/change
    • GET /api/v2/markets/{profileId}/vote-price
    • POST /api/v2/wallets/privy/markets/buy
  • 19 Oct 2026 – Removed deprecated markets v1 endpoints:
    • GET /api/v1/markets/activity/:address
    • GET /api/v1/markets/holdings/:address/total
    • GET /api/v1/markets/leaderboard/profit
    • GET /api/v1/markets/leaderboard/xp
    • GET /api/v1/markets/tx/history
    • GET /api/v1/markets/volume/:address
    • GET /api/v2/markets/featured
    • GET /api/v2/markets/simulate-buy
    • GET /api/v2/markets/users/by/x/{username}
    • POST /api/v2/markets/users/by/addresses
    • GET /api/v2/xp/user/{userkey}/leaderboard-rank
  • 30 Sep 2026 – Removed deprecated activity endpoints:
    • GET /api/v1/activities/actor/:userkey
    • POST /api/v1/activities/actors
    • GET /api/v1/activities/invite/accepted-by/:profileId
  • 27 Mar 2026 – Added API key support for programmatic access:
    • Create, list, and revoke API keys via SIWE signature (/api/v2/api-keys)
    • Authenticate any profile-scoped endpoint with the X-Ethos-Api-Key header
  • 1 Dec 2025 – Removed deprecated endpoints:
    • POST /api/v1/invitations
    • GET /api/v1/invitations/pending/:address,
    • GET /api/v1/profiles/directory
  • 6 Oct 2025 – Removed deprecated endpoints:
    • POST /api/v1/reviews
    • POST /api/v1/profiles/recent
  • 9 Sep 2025 – Removed deprecated endpoints:
    • POST /api/v1/reply
    • POST /api/v1/reviews/count
  • 8 Aug 2025 – Removed deprecated /api/v1/activities endpoint

These endpoints will be removed after the advertised date. We will do our best to notify consumers (by their advertised X-Ethos-Client header) in advance of removal.

EndpointDescriptionSunset

Beta endpoints are recent additions and are still subject to rapid change without further notification to consumers. We will remove the ‘beta’ tag once they are stable.


Internal endpoints are used by Ethos frontend and are not intended for public consumption. They may change without notice. We intend to ‘publish’ them to beta status.

Method Path Description
GET /internal/users/{userkey} Fetch user details by userkey.
GET /internal/listings Retrieve internal project listings page.
GET /internal/listings/{username} Retrieve project details for listings page.